Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008685 [DCSS] Patches feature N/A 2014-06-15 01:16 2014-11-19 02:10
Reporter Change View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008685: Monster weapon brands known
Description Weapon brands are known when wielded by monsters.
Makes it so that players can make informed decisions.
If you need random you use the chaos brand (or a new brand).
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Brands-are-known-when-weilded-by-monsters.patch [^] (4,028 bytes) 2014-06-15 01:16 [Show Content]
? file icon 0001-Picked-up-vault-spawned-weapons-now-have-known-brand.patch [^] (2,429 bytes) 2014-06-15 03:52 [Show Content]
? file icon 0001-unset-ISFLAG_TYPE-on-unseen-unequipped-weapons.patch [^] (2,233 bytes) 2014-06-24 01:31 [Show Content]

- Relationships

-  Notes
(0026625)
Change (reporter)
2014-06-23 20:53
edited on: 2014-06-24 04:56

1st patch
monster spawns with weapon brand id'd
cleans up things that were doing that anyways (ie Crazy yiuf, flame giants, etc)
2nd patch
monster equips any weapon brand is id'd
zombies get weapon id'd (probably handled by weapon equip anyways)
3rd patch (expects 2nd patch):
when monster unequips unseen weapon out of view it gets unid'd
no id of randarts. only when monsters equip them in sight

(0027825)
wheals (administrator)
2014-11-19 02:10

This was implemented differently by PleasingFungus.

- Issue History
Date Modified Username Field Change
2014-06-15 01:16 Change New Issue
2014-06-15 01:16 Change File Added: 0001-Brands-are-known-when-weilded-by-monsters.patch
2014-06-15 03:51 Change Issue Monitored: Change
2014-06-15 03:52 Change File Added: 0001-Picked-up-vault-spawned-weapons-now-have-known-brand.patch
2014-06-23 20:53 Change Note Added: 0026625
2014-06-24 01:31 Change File Added: 0001-unset-ISFLAG_TYPE-on-unseen-unequipped-weapons.patch
2014-06-24 01:34 Change Note Edited: 0026625
2014-06-24 01:35 Change Note Edited: 0026625
2014-06-24 04:56 Change Note Edited: 0026625
2014-11-19 02:10 wheals Note Added: 0027825
2014-11-19 02:10 wheals Status new => resolved
2014-11-19 02:10 wheals Fixed in Branch => 0.16 development branch
2014-11-19 02:10 wheals Resolution open => done
2014-11-19 02:10 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker